$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.1.104-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.1.104-BETA.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '528EF300852A8834D3287720A82C05FD0A6A9E2823AA831BA2C482FD8C8641FC'
  checksumType = 'sha256'
  checksum64 = '528EF300852A8834D3287720A82C05FD0A6A9E2823AA831BA2C482FD8C8641FC'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-20.1.104-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
